Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 14 May 2021 08:02:52 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Had terrible experience buying online and at the store!!!
Bought 6 items online and collected them from Centerpoint @ Oasis Mall  Juffair on 6th of May  but when I reached home i found out that there was  missing item and wrong item!
I went back to the store and asked for the Manager at the Cashier counter but the Filipino lady named Maricel  wasn't in the mood to accommodate me and just told me to fall in line and go to the Click & Collect counter because the Manager got nothing to do with my complaint since I purchased the items online.
When I spoke to the Cashier at the Click & Collect counter & handed over the items the guy named Omair  quickly asked in a sarcastic tone 'YES'??? I told him I just collected them but the items were incorrect and then he asked 'WHAT DO YOU WANT NOW"??? I got so pissed off and shouted at him  ang said that I need my correct order of course! He said I can't get the correct items in the store and I had to go through online but he suggested to make the transaction fast he will just do the refund but the money credited on my account was only 9.4bd while my total purchased was 18.800bd! He called the Manager but he just told me to call me 66930927 and they will deliver all my items at home. When I called the said number, he said he couldn't find my order number and will just call me back after 5mins but he never called. I kept calling him but never answered then after more than half an hour he answered my call. He said that I can get the items at the store and told me when I reach the Cash
 ier call him again and he will speak to them. I asked again for the manager and called the number. They were talking in their language and after the call, the manager told me that he will again refund the money. I already explained to him that Omair from the Cashier already did the refund but the money they credited was short but he said it'll take 5 to 7 days to credit the amount on my account. 
I left the store without all the items I purchased and not refunded the entire amount I paid!!!
This was so frustrating! I ordered online to avoid any inconvenience and to save time since I just gave birth with a twins but this incident was beyond unreasonable! 
You must train also your staffs how to deal nicely with customers. 
And on my way home in my dismayed, I had a car accident and good thing it was just a minor accident. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2540759